#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    int x1,x2,y1,y2;
    cin>>x1;
    cin>>y1;
    cin>>x2;
    cin>>y2;
    if(x1==x2){
        cout<<2<<endl;
        return 0;
    }
    else if(y1==y2){
        cout<<2<<endl;
        return 2;
    }
    int razlikaX,razlikaY;
    razlikaX=x1-x2;
    razlikaX=abs(razlikaX);
    razlikaY=y1-y2;
    razlikaY=abs(razlikaY);
    if(razlikaX==razlikaY){
        cout<<1<<endl;
        return 0;
    }
    return 0;
}